Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sqlserver
Class SQLServerSniffer

    java.lang.Object
      org.apache.cayenne.dba.sqlserver.SQLServerSniffer

All Implemented Interfaces:
  DbAdapterDetector, DbAdapterFactory

    public class SQLServerSniffer

extends java.lang.Object
implements DbAdapterFactory, DbAdapterDetector

Detects SQLServer database from JDBC metadata.

Since:
  1.2

Field Summary
`protected AdhocObjectFactory` | `objectFactory`

Constructor Summary
`SQLServerSniffer(AdhocObjectFactory objectFactory)`

Method Summary
`DbAdapter` | `createAdapter(java.sql.DatabaseMetaData md)` Returns an instance of DbAdapter if the factory detects that it knows how to handle the database or null if the database is not known to the factory, thus allowing multiple factories to be chained.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectFactory

    protected AdhocObjectFactory objectFactory

Constructor Detail

### SQLServerSniffer

    public SQLServerSniffer(AdhocObjectFactory objectFactory)

Method Detail

### createAdapter

    public DbAdapter createAdapter(java.sql.DatabaseMetaData md)
                            throws java.sql.SQLException

  Description copied from interface: `DbAdapterDetector`
  Returns an instance of DbAdapter if the factory detects that it knows how to handle the database or null if the database is not known to the factory, thus allowing multiple factories to be chained.

  Specified by:
    `createAdapter` in interface `DbAdapterDetector`
  Specified by:
    `createAdapter` in interface `DbAdapterFactory`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.